Contacts
Get a contact
Retrieve a contact by ID
GET
/
v1
/
contacts
/
{id}
Get a contact
curl --request GET \
--url https://api.slant.app/v1/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slant.app/v1/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slant.app/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slant.app/v1/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slant.app/v1/contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.slant.app/v1/contacts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slant.app/v1/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "abc123xyz",
"book_id": "book123xyz",
"person": {
"id": "abc123xyz",
"book_id": "book123xyz",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "John",
"last_name": "Doe",
"household_id": "xyz789abc",
"contact_id": "cnt456def",
"role_type": "client",
"middle_name": "Robert",
"salutation": "Mr.",
"suffix": "Jr.",
"maiden_name": "Smith",
"gender": "male",
"designations": "CPA, CFP",
"household_role": "head_of_household",
"preferred_name": "Johnny",
"date_of_birth": "1985-06-15",
"date_of_death": "2026-01-15",
"job_title": "Software Engineer",
"ssn": "***-**-6789",
"drivers_license_number": "******7890",
"email_addresses": [
{
"email": "john.doe@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true,
"extension": "1234"
}
],
"addresses": [
{
"address_type": "home",
"is_primary": true,
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US"
}
],
"employments": [
{
"business_name": "Acme Corp",
"id": "emp123xyz",
"person_id": "abc123xyz",
"business_id": "<string>",
"role": "Software Engineer",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": true
}
],
"custom_fields": {
"preferred_contact_method": "Email",
"risk_tolerance": "Moderate"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"business_id": "<string>",
"business": {
"id": "<string>",
"name": "<string>"
},
"custom_fields": {
"referral_source": "Conference"
}
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Path Parameters
The contact ID
Response
successful
The contact ID
Example:
"abc123xyz"
The book ID
Example:
"book123xyz"
Show child attributes
Show child attributes
When the contact was created
When the contact was last updated
Saved Business affiliation ID, independent of employment
Show child attributes
Show child attributes
Custom field values as key-value pairs
Example:
{ "referral_source": "Conference" }
⌘I
Get a contact
curl --request GET \
--url https://api.slant.app/v1/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slant.app/v1/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slant.app/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slant.app/v1/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slant.app/v1/contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.slant.app/v1/contacts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slant.app/v1/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "abc123xyz",
"book_id": "book123xyz",
"person": {
"id": "abc123xyz",
"book_id": "book123xyz",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "John",
"last_name": "Doe",
"household_id": "xyz789abc",
"contact_id": "cnt456def",
"role_type": "client",
"middle_name": "Robert",
"salutation": "Mr.",
"suffix": "Jr.",
"maiden_name": "Smith",
"gender": "male",
"designations": "CPA, CFP",
"household_role": "head_of_household",
"preferred_name": "Johnny",
"date_of_birth": "1985-06-15",
"date_of_death": "2026-01-15",
"job_title": "Software Engineer",
"ssn": "***-**-6789",
"drivers_license_number": "******7890",
"email_addresses": [
{
"email": "john.doe@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true,
"extension": "1234"
}
],
"addresses": [
{
"address_type": "home",
"is_primary": true,
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US"
}
],
"employments": [
{
"business_name": "Acme Corp",
"id": "emp123xyz",
"person_id": "abc123xyz",
"business_id": "<string>",
"role": "Software Engineer",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": true
}
],
"custom_fields": {
"preferred_contact_method": "Email",
"risk_tolerance": "Moderate"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"business_id": "<string>",
"business": {
"id": "<string>",
"name": "<string>"
},
"custom_fields": {
"referral_source": "Conference"
}
}